ClarisWksGraphInternal::Chart Struct Reference documentation

Public Member Functions | List of all members
ClarisWksGraphInternal::Chart Struct Referencefinal

Internal: structure used to store a chart zone of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::Chart:

## Public Member Functions
| Chart (Zone const &z)
| construtor
| ~Chart () final
| destructor
void | print (std::ostream &o) const final
| print the zone
Type | getType () const final
| return the main type
Type | getSubType () const final
| return the sub type
int | getNumData (int version) const final
| return the number of data
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone
Public Member Functions inherited from ClarisWksGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual int | getZoneId () const
| returns the id of the reference zone
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check)

## Additional Inherited Members
Public Types inherited from ClarisWksGraphInternal::Zone
enum | Type { T_Zone , T_Zone2 , T_Shape , T_Picture , T_Chart , T_DataBox , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Pict , T_QTim , T_Movie }
| the list of types More...
Public Attributes inherited from ClarisWksGraphInternal::Zone
int | m_zoneType
| the zone type
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Detailed Description

Internal: structure used to store a chart zone of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ Chart()

ClarisWksGraphInternal::Chart::Chart | ( | Zone const & | z | ) |
| inlineexplicit

construtor

## ◆ ~Chart()

ClarisWksGraphInternal::Chart::~Chart | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getChild()

ClarisWksStruct::DSET::Child ClarisWksGraphInternal::Chart::getChild | ( |  | ) | const
| inlinefinalvirtual

return a child corresponding to this zone

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getNumData()

int ClarisWksGraphInternal::Chart::getNumData | ( | int | version | ) | const
| inlinefinalvirtual

return the number of data

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getSubType()

Type ClarisWksGraphInternal::Chart::getSubType | ( |  | ) | const
| inlinefinalvirtual

return the sub type

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getType()

Type ClarisWksGraphInternal::Chart::getType | ( |  | ) | const
| inlinefinalvirtual

return the main type

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ print()

void ClarisWksGraphInternal::Chart::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print the zone

Reimplemented from ClarisWksGraphInternal::Zone.

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx